import type { AsyncLocalStorage } from 'async_hooks';
import { cacheAsyncStorage } from './cache-async-storage-instance';
export type UseCacheStore = {
    type: 'cache';
};
export type UnstableCacheStore = {
    type: 'unstable-cache';
};
/**
 * The Cache store is for tracking information inside a "use cache" or unstable_cache context.
 * Inside this context we should never expose any request or page specific information.
 */
export type CacheStore = UseCacheStore | UnstableCacheStore;
export type CacheAsyncStorage = AsyncLocalStorage<CacheStore>;
export { cacheAsyncStorage };
